# -*- coding: UTF-8 -*-

from django.db.models import Q
from gm_dataquery.dataquery import DataBuilder, DataSQLQuery
from gm_dataquery.db import DB

from api.models import Share


class ShareDB(DataBuilder):
    pass


@DB
class ShareDQ(DataSQLQuery):
        model = Share
        data_model = ShareDB
